## taler-wallet-v0.9.0.tar.gz

=== Makefile ===
# This Makefile has been placed in the public domain.

tsc = node_modules/typescript/bin/tsc
pogen = node_modules/@gnu-taler/pogen/bin/pogen.js
typedoc = node_modules/typedoc/bin/typedoc
ava = node_modules/.bin/ava
nyc = node_modules/nyc/bin/nyc.js
git-archive-all = ./build-system/taler-build-scripts/archive-with-submodules/git_archive_all.py

include .config.mk

.PHONY: dist
dist:
	$(git-archive-all) \
	       	--include ./configure \
	       	--include ./packages/taler-wallet-cli/configure \
	       	--include ./packages/demobank-ui/configure \
	       	taler-wallet-$(shell git describe --tags --abbrev=0).tar.gz

# Create tarball with git hash prefix in name
.PHONY: dist-git
dist-git:
	$(git-archive-all) --include ./configure taler-wallet-$(shell git describe --tags).tar.gz

.PHONY: publish
publish:
	pnpm i -r --frozen-lockfile
	pnpm run compile
	pnpm publish -r --no-git-checks

# make documentation from docstrings
.PHONY: typedoc
typedoc:
	$(typedoc) --out dist/typedoc --readme README

.PHONY: clean
clean:
	pnpm run clean

.PHONY: submodules-update
submodules-update:
	git submodule update --recursive --remote

.PHONY: compile
compile:
	pnpm install -r --frozen-lockfile
	pnpm run compile

.PHONY: check
check:
	pnpm install -r --frozen-lockfile
	pnpm run compile
	pnpm run check

.PHONY: config-lib
config-lib:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-config-lib...
	cd ./packages/taler-config-lib/ && pnpm link -g

.PHONY: anastasis-webui
anastasis-webui:
	pnpm install --frozen-lockfile --filter . --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... build

.PHONY: anastasis-webui-dist
anastasis-webui-dist: anastasis-webui
	(cd packages/anastasis-webui/dist && zip -r - fonts ui.html) > anastasis-webui.zip


.PHONY: anastasis-webui-dev
anastasis-webui-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... dev

.PHONY: webextension
webextension:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... compile
	cd ./packages/taler-wallet-webextension/ && ./pack.sh dev

.PHONY: webextension-dev
webextension-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... dev

.PHONY: lint
lint:
	./node_modules/.bin/eslint --ext '.js,.ts,.tsx' 'src'


install:
	@echo Please run \'make install\' from one of the directories in packages/\'

=== packages/demobank-ui/Makefile ===
# This Makefile has been placed in the public domain

# Settings from "./configure"
include .config.mk

all:
	@echo run \'make install\' to install

spa_dir=$(prefix)/share/taler/demobank-ui

install:
	pnpm install --frozen-lockfile --filter @gnu-taler/demobank-ui...
	pnpm run check
	pnpm run build
	install -d $(spa_dir)
	install ./dist/* $(spa_dir)

=== packages/taler-wallet-cli/Makefile ===
# This Makefile has been placed in the public domain.

-include ../../.config.mk
include .config.mk

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-wallet-cli

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
install_target = $(prefix)/lib/taler-wallet-cli
.PHONY: install install-nodeps
install:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli...
	install -d $(prefix)/bin
	install -d $(install_target)/bin
	install -d $(install_target)/node_modules/taler-wallet-cli
	install -d $(install_target)/node_modules/taler-wallet-cli/bin
	install -d $(install_target)/node_modules/taler-wallet-cli/dist
	install ./dist/taler-wallet-cli.mjs $(install_target)/node_modules/taler-wallet-cli/dist/
	install ./dist/taler-wallet-cli.mjs.map $(install_target)/node_modules/taler-wallet-cli/dist/
	install ./bin/taler-wallet-cli.mjs $(install_target)/node_modules/taler-wallet-cli/bin/
	ln -sf $(install_target)/node_modules/taler-wallet-cli/bin/taler-wallet-cli.mjs $(prefix)/bin/taler-wallet-cli
endif

=== packages/taler-wallet-cli/debian/changelog ===
taler-wallet-cli (0.9.0) unstable; urgency=low

  * Official 0.9.0 release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 5 Nov 2022 12:47:15 -0300

taler-wallet-cli (0.8.99) unstable; urgency=low

  * Preview for 0.9 wallet.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Jun 2022 12:47:15 -0300

taler-wallet-cli (0.8.3) unstable; urgency=low

  * Official 0.8.3 release.

 -- Sebastian Marchano <sebasjm@gmail.com>  Fri, 26 Nov 2021 12:47:15 -0300

taler-wallet-cli (0.8.2) unstable; urgency=low

  * Official 0.8.2 release.

 -- Florian Dold <dold@taler.net>  Tue, 24 Aug 2021 15:47:15 +0200

taler-wallet-cli (0.0.1-6) unstable; urgency=low

  * Fix deposit tracking.

 -- Florian Dold <dold@taler.net>  Sat, 07 Aug 2021 17:40:08 +0200

taler-wallet-cli (0.0.1-5) unstable; urgency=low

  * Performance improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 17:16:18 +0200

taler-wallet-cli (0.0.1-4) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 11:58:34 +0200

taler-wallet-cli (0.0.1-3) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Thu, 05 Aug 2021 00:02:33 +0200

taler-wallet-cli (0.0.1-2) unstable; urgency=low

  * Improved denomination generator.

 -- Florian Dold <dold@taler.net>  Wed, 04 Aug 2021 23:26:17 +0200

taler-wallet-cli (0.0.1-1) unstable; urgency=low

  * Added exchange deployment linting tool.

 -- Florian Dold <dold@taler.net>  Wed, 04 Aug 2021 23:05:47 +0200

taler-wallet-cli (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Florian Dold <dold@taler.net>  Sun, 14 Jul 2021 15:00:00 +0100

Local variables:
mode: debian-changelog
End:

=== packages/taler-wallet-cli/debian/control ===
Source: taler-wallet-cli
Section: networking
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/wallet-core.git
Homepage: https://taler.net/

Package: taler-wallet-cli
Architecture: all
Depends: nodejs,
         ${misc:Depends}
Recommends:
Description: Software package to test Taler installations.
